Name: awesome
Version: 3.4
Release: alt4
Group: Graphical desktop/Other
License: GPL2+

Url: http://awesome.naquadah.org/
Packager: Evgenii Terechkov <evg@altlinux.ru>
Source: %name-%version.tar
Source1: %name.wmsession
Source2: %name.menu-method
Patch0:%name-%version-alt.patch

Summary: A window manager initialy based on a dwm code rewriting

BuildRequires: ImageMagick-tools asciidoc cmake gcc-c++ gperf imlib2-devel libdbus-devel libev-devel liblua5-devel libncurses-devel libpango-devel libreadline-devel xmlto libxdg-basedir-devel libstartup-notification-devel

BuildPreReq: libxcbutil-devel

Requires: libstartup-notification >= 0.10-alt1

%description
awesome is a window manager initialy based on a dwm code rewriting. It's
extremely fast, small, dynamic and awesome.

%prep
%setup -n %name-%version
%patch0 -p1

%build
echo -n "v%version" >| .version_stamp
mkdir -p build
pushd build
CFLAGS="%optflags" \
CXXFLAGS="%optflags" \
cmake \
  -DPREFIX=%prefix \
  -DAWESOME_DOC_PATH=%_docdir/%name-%version \
  -DCMAKE_INSTALL_PREFIX=%prefix \
  -DSYSCONF_INSTALL_DIR=%_sysconfdir \
  -DSYSCONFDIR=%_sysconfdir \
%if %_lib == lib64
  -DLIB_SUFFIX=64 \
%endif
  ..
%make_build
popd

%install
pushd build
%makeinstall DESTDIR=%buildroot install
popd
install -D -m 644 %name.desktop %buildroot/%_desktopdir/%name.desktop
touch %buildroot%_sysconfdir/xdg/%name/menu.lua
install -D -m 644 %SOURCE1 %buildroot%_sysconfdir/X11/wmsession.d/05%name
install -D -m 755 %SOURCE2 %buildroot%_sysconfdir/menu-methods/%name

%files
%_bindir/*
%_sysconfdir/menu-methods/%name
%_sysconfdir/xdg/%name
%ghost %_sysconfdir/xdg/%name/menu.lua
%_sysconfdir/X11/wmsession.d/*
%_man1dir/aw*
%_man5dir/%{name}*
%_datadir/%name
%_desktopdir/%name.desktop
%doc AUTHORS LICENSE README BUGS PATCHES STYLE

%changelog
* Wed Oct 21 2009 Terechkov Evgenii <evg@altlinux.ru> 3.4-alt4
- 3.4 (Closing In)

* Mon Oct 19 2009 Terechkov Evgenii <evg@altlinux.ru> 3.4-alt3.rc3
- Set minimal required libstartup-notification (ALT#21983, thanks to wrar@, barabashka@)

* Sat Oct 10 2009 Terechkov Evgenii <evg@altlinux.ru> 3.4-alt2.rc3
- 3.4-rc3 (Black Star)

* Mon Sep 28 2009 Terechkov Evgenii <evg@altlinux.ru> 3.4-alt2.rc2
- 3.4-rc2 (Piku)

* Sun Sep 27 2009 Terechkov Evgenii <evg@altlinux.ru> 3.4-alt2.rc1
- Default config fixed

* Sat Sep 26 2009 Terechkov Evgenii <evg@altlinux.ru> 3.4-alt1.rc1
- 3.4-rc1 (Uprising)

* Sat Sep 19 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3.4-alt2
- Sources cleanup (thanks to kas@)

* Wed Sep  9 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3.4-alt1
- 3.3.4 (Mercury)

* Sun Aug 30 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3.3-alt1
- 3.3.3 (Firelight)

* Wed Aug  5 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3.2-alt1
- 3.3.2 (Half Moon)

* Fri Jul 17 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3.1-alt2
- Generic X error format message fixed

* Thu Jul 16 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3.1-alt1
- 3.3.1

* Tue Jun 16 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3-alt2
- Ignore size hints by default, @kas
- git-20090616

* Thu Jun  4 2009 Terechkov Evgenii <evg@altlinux.ru> 3.3-alt1
- 3.3

* Fri May 29 2009 Terechkov Evgenii <evg@altlinux.ru> 3.2.1-alt4
- Rebuild with libxcb-1.3

* Sun Apr 26 2009 Terechkov Evgenii <evg@altlinux.ru> 3.2.1-alt3
- ALT-specific patch extracted
- Buildrequires updated
- git-20090426 from upstream (to work with libxcbutil-0.3.4)
- Version stamp now updated correctly
- Dependency to gxmessage suppressed

* Sat Apr 25 2009 Terechkov Evgenii <evg@altlinux.ru> 3.2.1-alt2
- Rebuild with libxcbutil-0.3.4

* Tue Apr 21 2009 Terechkov Evgenii <evg@altlinux.ru> 3.2.1-alt1
- 3.2.1

* Sat Mar 14 2009 Terechkov Evgenii <evg@altlinux.ru> 3.2-alt2
- 3.2

* Mon Feb 23 2009 Terechkov Evgenii <evg@altlinux.ru> 3.2-alt1.rc3
- 3.2-rc3

* Thu Jan 22 2009 Terechkov Evgenii <evg@altlinux.ru> 3.1.1-alt3
- srpm->git migration (thanks, kas@)
- Substitute "+" to "_" in section name (kas@, c78693654a5639759decb3c606a3adb98311ed57)

* Fri Jan 16 2009 Terechkov Evgenii <evg@altlinux.ru> 3.1.1-alt2
- Patch0 added to set default background image loader to xsetroot (see #18514)

* Tue Jan 13 2009 Terechkov Evgenii <evg@altlinux.ru> 3.1.1-alt1
- 3.1.1

* Sun Dec 21 2008 Terechkov Evgenii <evg@altlinux.ru> 3.1-alt2
- Debian-menu generation added

* Tue Dec 16 2008 Terechkov Evgenii <evg@altlinux.ru> 3.1-alt1
- 3.1

* Sun Nov 16 2008 Terechkov Evgenii <evg@altlinux.ru> 3.0-alt2
- Update spec to new filetriggers system

* Sun Oct 12 2008 Terechkov Evgenii <evg@altlinux.ru> 3.0-alt1
- Initial build for ALT Linux Sisyphus (Thanks OpenSuSE for spec)
